#include "pch.h"
#include "GenericBkMFC.h"
#include "DlgWinXPButtonST.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CDlgWinXPButtonST::CDlgWinXPButtonST(CWnd* pParent, CResourceServerST*	m_pIcons)
	: CDialog(CDlgWinXPButtonST::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgWinXPButtonST)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_pIconsDLL = m_pIcons;
}

void CDlgWinXPButtonST::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgWinXPButtonST)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP

	DDX_Control(pDX, IDC_BUTTON1, m_btnKeyboard[0]);
	DDX_Control(pDX, IDC_BUTTON2, m_btnKeyboard[1]);
	DDX_Control(pDX, IDC_BUTTON3, m_btnKeyboard[2]);
}

BEGIN_MESSAGE_MAP(CDlgWinXPButtonST, CDialog)
	//{{AFX_MSG_MAP(CDlgWinXPButtonST)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CDlgWinXPButtonST::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// Create font
	m_fntFont.CreateFont(-14, 0, 0, 0, FW_BOLD, FALSE, FALSE, 0, 0, 0, 0, ANTIALIASED_QUALITY, 0, _T("Verdana"));

	m_btnKeyboard[0].m_ptImageOrg.x = 10;
	m_btnKeyboard[0].SetIcon(m_pIconsDLL->LoadIcon(DLL_IDI_SET04_OK, 24, 24));
	m_btnKeyboard[0].SetColor(CButtonST::BTNST_COLOR_BK_IN, GetSysColor(COLOR_INFOBK), FALSE);
	m_btnKeyboard[0].SetFont(&m_fntFont, FALSE);
	//
	m_btnKeyboard[1].m_ptImageOrg.x = 10;
	m_btnKeyboard[1].SetIcon(m_pIconsDLL->LoadIcon(DLL_IDI_SET04_CANCEL, 24, 24));
	m_btnKeyboard[1].SetColor(CButtonST::BTNST_COLOR_BK_IN, GetSysColor(COLOR_INFOBK), FALSE);
	m_btnKeyboard[1].SetRounded(TRUE, FALSE);
	m_btnKeyboard[1].SetFont(&m_fntFont, FALSE);
	//
	m_btnKeyboard[2].m_ptImageOrg.x = 10;
	m_btnKeyboard[2].SetColor(CButtonST::BTNST_COLOR_BK_IN, RGB(182, 191, 216), FALSE);
	m_btnKeyboard[2].SetRounded(TRUE, FALSE);
	m_btnKeyboard[2].SetIcon(m_pIconsDLL->LoadIcon(DLL_IDI_SET04_INFO, 24, 24));
	m_btnKeyboard[2].SetFont(&m_fntFont, FALSE);

	return TRUE;
} // End of OnInitDialog

void CDlgWinXPButtonST::OnOK()
{
} // End of OnOK

void CDlgWinXPButtonST::OnCancel()
{
} // End of OnCancel
